org.eclipse.eef.core.api.controllers

## Interface IEEFListController

All Superinterfaces:
  IEEFController, IEEFOnClickController, IEEFWidgetController

All Known Implementing Classes:
  EEFListController

    public interface IEEFListController
    extends IEEFOnClickController

The IEEFListController is responsible of supporting all the interactions with the widgets created for a list.

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.core.runtime.IStatus` `action(EEFWidgetAction action, java.util.List<java.lang.Object> selection)` Invoked when the user clicks on an action button.
`void` `onNewValue(java.util.function.Consumer<java.lang.Object> consumer)` Register a consumer which will be called with the new value of the text when it will change.
`void` `removeNewValueConsumer()` Remove the consumer of the new value of the text.

### Methods inherited from interface org.eclipse.eef.core.api.controllers.IEEFOnClickController

`onClick`

### Methods inherited from interface org.eclipse.eef.core.api.controllers.IEEFWidgetController

`computeHelp, onNewHelp, onNewLabel, removeNewHelpConsumer, removeNewLabelConsumer`

### Methods inherited from interface org.eclipse.eef.core.api.controllers.IEEFController

`onValidation, refresh, removeValidationConsumer`

### Method Detail

#### onNewValue

    void onNewValue(java.util.function.Consumer<java.lang.Object> consumer)

Register a consumer which will be called with the new value of the text when it will change.

Parameters:
  `consumer` - The consumer of the new value of the text

#### removeNewValueConsumer

    void removeNewValueConsumer()

Remove the consumer of the new value of the text.

#### action

    org.eclipse.core.runtime.IStatus action(EEFWidgetAction action,
                                            java.util.List<java.lang.Object> selection)

Invoked when the user clicks on an action button.

Parameters:
  `action` - Widget action
  `selection` - The selected elements
Returns:
  the status of the action execution